Summary: Perl interface to MaxMind's GeoIP library
Name: perl-GeoIP
Version: 1.21
Release: 1
License: Maxmind
Group: Applications/CPAN
Source: http://www.maxmind.com/download/geoip/api/perl/Geo-IP-%{version}.tar.gz
URL: http://www.maxmind.com/
BuildRoot: /var/tmp/%{name}-%{version}
Packager: Ian Macdonald <ian@caliban.org>
BuildRequires: GeoIP
Requires: GeoIP

%description
This is a Perl language interface to MaxMind's GeoIP library for determining
geographic location from an IP address.

%prep
%setup -n Geo-IP-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL LIBS='-L/usr/lib' INC='-I/usr/include'
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed -e "s@^$RPM_BUILD_ROOT@@g" -e 's/\(\.[1-9]\(pm\)\?\)$/\1*/' | grep -v perllocal.pod > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Thu Jul 31 2003 Ian Macdonald <ian@caliban.org> 1.21-1
- 1.21

* Mon Jun  9 2003 Ian Macdonald <ian@caliban.org> 1.20-1
- 1.20

* Wed Dec 11 2002 Ian Macdonald <ian@caliban.org> 1.11-1
- 1.11
